Mail archive
alpine-aports

[alpine-aports] [PATCH 5/6] testing/py-botocore: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 14 Mar 2016 15:58:41 +0200

The low-level, core functionality of Boto3
https://github.com/boto/botocore
---
 testing/py-botocore/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-botocore/APKBUILD
diff --git a/testing/py-botocore/APKBUILD b/testing/py-botocore/APKBUILD
new file mode 100644
index 0000000..340fb4e
--- /dev/null
+++ b/testing/py-botocore/APKBUILD
_at_@ -0,0 +1,41 @@
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=py-botocore
+_pkgname=botocore
+pkgver=1.4.3
+pkgrel=0
+pkgdesc="The low-level, core functionality of Boto3"
+url="https://github.com/boto/boto"
+arch="noarch"
+license="apache2"
+depends="python py-dateutil py-jmespath"
+depends_dev=
+makedepends="python-dev py-setuptools"
+install=
+subpackages=
+source="$_pkgname-$pkgver.tar.gz::https://github.com/boto/$_pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="77ae3f0ed9130b08b192338e1a14f813  botocore-1.4.3.tar.gz"
+sha256sums="311c40b84e5bbf70ae13dad81ce1f36466a76c8f8ce472d84fc72f5d41aaf019  botocore-1.4.3.tar.gz"
+sha512sums="c49fab82d90a74659d8498be0c4c47051c09d6ee3a39ef6590bcd0835d8a9f9bfb32b397bdd09e285afc1bf014e362da551f5161a9aee924949eeba3b9628300  botocore-1.4.3.tar.gz"
-- 
2.7.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 14 2016 - 15:58:41 GMT